Module java.base
Package java.net

# Class ConnectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.SocketException
java.net.ConnectException

All Implemented Interfaces:
  `Serializable`

    public class ConnectException
    extends SocketException

Signals that an error occurred while attempting to connect a socket to a remote address and port. Typically, the connection was refused remotely (e.g., no process is listening on the remote address/port).

Since:
  1.1
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ConnectException()` | Construct a new ConnectException with no detailed message.
`ConnectException​(String msg)` | Constructs a new ConnectException with the specified detail message as to why the connect error occurred.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectException

public ConnectException​(String msg)
Constructs a new ConnectException with the specified detail message as to why the connect error occurred. A detail message is a String that gives a specific description of this error.

Parameters:
  `msg` - the detail message

### ConnectException

public ConnectException()
Construct a new ConnectException with no detailed message.